BANK MEGA SYARIAH - ES - Bug #3353

Mapingan untuk report All employee organisasi levelnya
01/17/2025 04:32 PM - Regina Tasya

Status: Closed Start date: 01/17/2025
Priority: Normal Due date: 01/21/2025
Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

yth kak shofwan,

mohon bantuannya untuk memappingkan organisasi level di report all employee
All Employee

Organization Level

Lo L0.1 0L2.1,8L2.1 BL2.2,0L2.2 BL3.1,0L3.1,0L3.2 Bl4.1,0L41

Location

System ID Emp ID Full Name Position Direktarat Group Divisi Deputy D Unit Organizati Sub Unit Office roun

30.0036.1.67 Munif Nowiar Office Services | Business Business Corporate & Business Banking Deputy Division Business Banking RM 1 Madiun-Caruban
Unit Head Directarate Directarate Business
Earking
90.00239.2.64 Laksmy Ferrpnasari Internal Contral Head Office-
KPO

90.0042.1.66 Kazim Priyanto Posisi Dummy Head Office-
KPOD

90.0042.1.66 Kazim Priyanto Posisi Dummy Head Office-
KPO

910051171 Iri Suheri Head Office-

KPO

92.0060.1.68 Ruby A, Syarief Finance & Head Office-

Strategic KPO

Planning Division

92.0062.2.66 Trimuitie Margono Dealer Head Office-
KPO

65 Kartini Simatupang Head Office-

[ R DO | Org Level 8 ESSPMS | orglevelinput | BCKTSYORGLVL | Wail = +

(i1 g ] .2 31°C Berawan

untuk mappingan organisasi levelnya ada di sheet OrgLevel pd All Employee
dan dapat dilihat di kolom highlight biru
untuk exel lengkapnya diatas ini:

port: remote.minovais.com:31134
database : remote.minovais.com, 1442
BankMegaSyariahDev

History

#1 - 01/17/2025 04:38 PM - Regina Tasya
- File Org Level & Outstanding Requirement (1).xlsx added

#2 - 01/20/2025 10:07 AM - shofwan shiddiq
- File clipboard-202501201004-bbjwk.png added

- Assignee changed from shofwan shiddiq to Regina Tasya

Tolong di buatkan data 1 employee yang lengkap ya data nya dari group, divisi, deputy, department, unit org, subunit.
karena sekarang cuma ada master data, tapi sample data gak ada.
Terus data lama yg sudah tersimpan dengan kode lama di hapus saja ya atau tidak usah?

#3 - 01/20/2025 03:49 PM - Kezia Pawitra Yulianti
- Due date set to 01/21/2025

tasya, kalau bisa untuk data2 lama yg msh pakai org level lama d rubah aja dgn org Ivel baru deh. biar gak usah bikin data baru tp pakai dta yg sudah
ada aja tp dgn org level yg baru jg

Tks

#4 - 01/21/2025 11:24 AM - Regina Tasya

data:

1. empid 00000003 = p=00017182, o= 00003720
org level:

00 Direktorat LO =00004209

01 Group L0.1 =00003625

02 Division L1 = 00003680
03 Deputy Division ~ OL2.1 =00003720

2. emp id 00006931 p= 00017242 , 0= 00003683
org level:

00 Direktorat LO =00004209

02 Division L1 = 00003683

contoh tidak ada group (01 Group LO.1)

notes: kak shofwan ini membaca kode notes ya di PHROMORGLVL nya

#5 - 01/21/2025 11:24 AM - Regina Tasya

- Assignee changed from Regina Tasya to Saswanto Tampan

#6 - 01/21/2025 11:35 AM - shofwan shiddiq

- Assignee changed from Saswanto Tampan to shofwan shiddiq

#7 - 01/22/2025 04:46 PM - shofwan shiddiq
- File clipboard-202501221644-cwyoh.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Dear tasya & mas bintar, Report All Employee sudah di update yah.

e Untuk mengisi data org level dan direct supervisor menggunakan service yang kemudian disimpan di tabel PCMEPOMRECAP. Perlu di jalankan
service untuk mengexecute SP = GetOmLoopinglnduk supaya mengisi / mengupdate data di table OM RECAP

PADA SP Get Om Looping dilakukan pencarian data org level dan ds per employee

¢ Untuk direct supervisor, engine melakukan looping keatas sebanyak 5 kali sampai mencari 2 Position Head terdekat dalam suatu organisasi,
dan menjadikan nya DS 1 dan DS 2 secara berurutan

¢ Untuk Org Level, engine menjadi organisasi diatas organisasi employee terkait sebanyak 6 kali relasi keatas, dan mencari organisasi yang
memiliki kode org level yang cocok

PADA SP Get Om Looping Induk, melakukan looping sp GetOmLooping sebanyak jumlah employee aktif

Emp id 00000003 = p=00017182 , o= 00003720
org level:

00 Direktorat LO = 00004209

01 Group L0.1 = 00003625

02 Division L1 = 00003680

03 Deputy Division OL2.1 = 00003720
’ Employee Area: . Period: 22/01/2025 .

Employee Status: Active .

Employee Type:

@ Business Intelligence

Report Result
Employee Movement

Employee Master Data et ﬂxmm "mﬁ"t Effective Date | Employee Status Position Direktorat Group Divisi Deputy Departement om':.'i';';ﬁ“" Sub Unit
Import Employee Data = ——
Promotion Budgeted 20/12/2024 Active Office Servig BANK MEGA BANK MEGA Mac
Export Employee Data Unit Head /( SYARIAH SYARIAH ﬁ
Promotion Remunerasi 01/06/2018 Active Internal Cofytrol President Director |President Director |Internal Control Head Office IC & l) Hea
Department User Admin Unit
Address Reassignment/Mutasi | Keperluan 01/01/2022  |Active Posisi Dummy Hea
Organisasi
Surat Keterangan Reassignment/Mutasi g:s::‘l‘u;l;‘ 01/01/2022 Active Posisi Dummy Hea
Communication Data ~
Reassignment/Mutasi | Keperluan 01/09/2022  |Active Operation & Liabilities Hea
Curriculum Vitae Organisasi General Service Processing Unit
Division
Date Spesification Reassignment/Mutasi | Keperluan 03/02/2020 Active Finance & President Director |President Director Hea
organisasi Strategic Planning
Education Division Head
Promotion Naik Grade 08/06/2018 Active Dealer Hea
Personal Data
Reassignment/Mutasi | Re - Join 19/02/2020 Active Hea
Package
SP = [PRPTPAALLEMPLOYEE], [GetOmLooping], [GetOmLoopingInduk]
RDL = PRPTPAALLEMPLOYEE
Service = Execute SP GetOmLoopingInduk
#8 - 01/30/2025 03:04 PM - Regina Tasya
- Status changed from QA Test to Closed
Files
clipboard-202501171630-19x00.png 111 KB 01/17/2025 Regina Tasya
Org Level & Outstanding Requirement (1).xlsx 660 KB 01/17/2025 Regina Tasya

clipboard-202501201004-bbjwk.png 75.7 KB 01/20/2025 shofwan shiddiq
clipboard-202501221644-cwyoh.png 142 KB 01/22/2025 shofwan shiddiq
